> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Employer Identifier

> Creates a new employer identifier

<Info>
  Learn more about [Employer
  Identifiers](/api-reference/glossary#employer-identifier) in the Glossary.
</Info>


## OpenAPI

````yaml POST /v1/employer-identifiers
openapi: 3.1.0
info:
  title: Payroll Integrations Public API
  description: Public API for Payroll Integrations platform
  version: '2025-10-28T20:05:03Z'
  license:
    name: MIT
servers:
  - url: https://api.payrollintegrationsapp.com
    description: Prod environment
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo environment
security:
  - bearerAuth: []
paths:
  /v1/employer-identifiers:
    post:
      tags:
        - Employer Identifiers
      summary: Create employer identifier
      description: Creates a new employer identifier
      operationId: createEmployerIdentifiers
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEmployerIdentifierRequest'
      responses:
        '201':
          description: Employer identifier created successfully
          headers:
            Location:
              schema:
                type: string
                format: uri
              description: URL of the created employer identifier
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateEmployerIdentifierResponse'
              example:
                id: 550e8400-e29b-41d4-a716-446655440000
        '400':
          description: >-
            Bad Request - Invalid employer identifier identifier format or
            request validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found - Unknown TPE or Recordkeeper ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: >-
            Conflict - Employer Identifier with same identifier already exists
            for the specified TPE or Recordkeeper
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreateEmployerIdentifierRequest:
      type: object
      required:
        - displayName
        - identifier
      properties:
        displayName:
          type: string
          description: >-
            Display name of the employer identifier. The following characters
            are allowed: letters, numbers, spaces, periods, ampersands, and
            commas
          minLength: 1
          maxLength: 200
          pattern: ^[a-zA-Z0-9\s.&,]+$
        identifier:
          type: string
          description: Identifier of the employer identifier
          minLength: 1
          maxLength: 200
          pattern: ^[a-zA-Z0-9\s.&,]+$
    CreateEmployerIdentifierResponse:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the employer identifier
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Error message describing what went wrong
        errors:
          type: array
          description: Optional array of detailed error messages
          items:
            type: string

````